> ## Documentation Index
> Fetch the complete documentation index at: https://viewerdocs.planpoint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Group

> Update an existing group by Id



## OpenAPI

````yaml PATCH /groups/{id}
openapi: 3.0.3
info:
  title: Planpoint
  description: ''
  version: 1.0.0
servers:
  - url: https://app.planpoint.io/api
security:
  - AccessTokenAuth: []
tags:
  - name: user
    description: Everything about user
  - name: groups
    description: Everything about groups
  - name: projects
    description: Everything about projects
  - name: floors
    description: Everything about floors
  - name: units
    description: Everything about units
  - name: leads
    description: Everything about leads
externalDocs:
  description: Find out more about Planpoint
  url: http://planpoint.io
paths:
  /groups/{id}:
    patch:
      tags:
        - groups
      summary: Update an existing group
      description: Update an existing group by Id
      operationId: updateGroup
      parameters:
        - name: id
          in: path
          description: Group ID
          required: true
          schema:
            type: string
            format: objectId
            example: objectId
      requestBody:
        description: Update an existing group
        content:
          application/json:
            schema:
              type: object
              properties:
                _id:
                  type: string
                  format: objectId
                  description: The unique identifier for the group.
                  example: objectId
                user:
                  type: string
                  format: objectId
                  description: Reference to the user who owns the group.
                  example: objectId
                name:
                  type: string
                  description: Name of the group.
                websiteURL:
                  type: string
                  format: uri
                  description: URL of the group's website.
                showAvailableFirst:
                  type: boolean
                  default: false
                  description: Whether to prioritize showing available items first.
                projects:
                  type: array
                  items:
                    type: string
                    format: objectId
                    description: ID of an associated project.
                    example: objectId
                namespace:
                  type: string
                  description: Namespace for the group.
                hostName:
                  type: string
                  description: Hostname of the group.
                groupLang:
                  type: string
                  default: en
                  description: Language setting for the group.
                linkBehavior:
                  type: string
                  default: Planpoint
                  description: Default link behavior.
                accentColor:
                  type: string
                  description: Accent color of the group.
                groupImageUrl:
                  type: string
                  format: uri
                  description: URL of the group's image.
                groupSVGUrl:
                  type: string
                  format: uri
                  description: URL of the group's SVG.
                svgGroupId:
                  type: string
                  description: SVG group identifier.
                address:
                  type: string
                  description: Physical address of the group.
                lon:
                  type: number
                  format: double
                  description: Longitude of the group location.
                  example: -93.75940812944687
                lat:
                  type: number
                  format: double
                  description: Latitude of the group location.
                  example: 43.75940812944687
                zoomLevel:
                  type: number
                  default: 0
                  description: Default map zoom level.
                administrators:
                  type: array
                  items:
                    type: string
                    format: objectId
                    description: ID of an administrator user.
                    example: objectId
                editors:
                  type: array
                  items:
                    type: string
                    format: objectId
                    description: ID of an editor user.
                    example: objectId
                invites:
                  type: array
                  items:
                    type: object
                    properties:
                      firstName:
                        type: string
                      lastName:
                        type: string
                      email:
                        type: string
                        format: email
                      level:
                        type: string
                  description: List of invited users.
                perimeter:
                  type: string
                  description: Perimeter of the group area.
                markerImageUrl:
                  type: string
                  format: uri
                  description: URL of the marker image.
                targetMarker:
                  type: string
                  description: Target marker identifier.
                mapStyle:
                  type: string
                  default: Light
                  description: Style of the map.
                mapPointColor:
                  type: string
                  description: Color of map points.
                showAllUnits:
                  type: boolean
                  description: Whether to display all units.
                showPrices:
                  type: boolean
                  description: Whether to display prices.
                initialView:
                  type: string
                  default: List
                  description: Initial view of the group.
                unitImageOnGrid:
                  type: string
                  default: Unit Plan
                  description: Image type shown on the grid.
                pricesStartingAt:
                  type: boolean
                  default: false
                  description: Whether to show prices starting at a certain value.
                showTaxes:
                  type: boolean
                  description: Whether to show taxes.
                priceBeforeTax:
                  type: boolean
                  description: Whether the price is shown before tax.
                showAvailability:
                  type: boolean
                  description: Whether to show availability.
                hideSold:
                  type: boolean
                  description: Whether to hide sold units.
                deliveryDates:
                  type: boolean
                  description: Whether to show delivery dates.
                internalURL:
                  type: string
                  format: uri
                  description: Internal URL for the group.
                alternativeCovers:
                  type: array
                  items:
                    type: string
                  description: List of alternative cover images.
                hideArea:
                  type: boolean
                  default: false
                  description: Whether to hide the area field.
                theme:
                  type: string
                  description: Theme of the group.
                showBranding:
                  type: boolean
                  default: true
                  description: Whether to show branding.
                showPriceFilter:
                  type: boolean
                  default: true
                  description: Whether to show the price filter.
                showAreaFilter:
                  type: boolean
                  default: true
                  description: Whether to show the area filter.
                showFloorOverview:
                  type: boolean
                  default: false
                  description: Whether to show the floor overview.
                colorBase:
                  type: string
                  description: Base color.
                colorAccent:
                  type: string
                  description: Accent color.
                colorHover:
                  type: string
                  description: Hover color.
                colorButton:
                  type: string
                  description: Button color.
                colorButtonText:
                  type: string
                  description: Button text color.
                colorText:
                  type: string
                  description: General text color.
          application/xml:
            schema:
              type: object
              properties:
                _id:
                  type: string
                  format: objectId
                  description: The unique identifier for the group.
                  example: objectId
                user:
                  type: string
                  format: objectId
                  description: Reference to the user who owns the group.
                  example: objectId
                name:
                  type: string
                  description: Name of the group.
                websiteURL:
                  type: string
                  format: uri
                  description: URL of the group's website.
                showAvailableFirst:
                  type: boolean
                  default: false
                  description: Whether to prioritize showing available items first.
                projects:
                  type: array
                  items:
                    type: string
                    format: objectId
                    description: ID of an associated project.
                    example: objectId
                namespace:
                  type: string
                  description: Namespace for the group.
                hostName:
                  type: string
                  description: Hostname of the group.
                groupLang:
                  type: string
                  default: en
                  description: Language setting for the group.
                linkBehavior:
                  type: string
                  default: Planpoint
                  description: Default link behavior.
                accentColor:
                  type: string
                  description: Accent color of the group.
                groupImageUrl:
                  type: string
                  format: uri
                  description: URL of the group's image.
                groupSVGUrl:
                  type: string
                  format: uri
                  description: URL of the group's SVG.
                svgGroupId:
                  type: string
                  description: SVG group identifier.
                address:
                  type: string
                  description: Physical address of the group.
                lon:
                  type: number
                  format: double
                  description: Longitude of the group location.
                  example: -93.75940812944687
                lat:
                  type: number
                  format: double
                  description: Latitude of the group location.
                  example: 43.75940812944687
                zoomLevel:
                  type: number
                  default: 0
                  description: Default map zoom level.
                administrators:
                  type: array
                  items:
                    type: string
                    format: objectId
                    description: ID of an administrator user.
                    example: objectId
                editors:
                  type: array
                  items:
                    type: string
                    format: objectId
                    description: ID of an editor user.
                    example: objectId
                invites:
                  type: array
                  items:
                    type: object
                    properties:
                      firstName:
                        type: string
                      lastName:
                        type: string
                      email:
                        type: string
                        format: email
                      level:
                        type: string
                  description: List of invited users.
                perimeter:
                  type: string
                  description: Perimeter of the group area.
                markerImageUrl:
                  type: string
                  format: uri
                  description: URL of the marker image.
                targetMarker:
                  type: string
                  description: Target marker identifier.
                mapStyle:
                  type: string
                  default: Light
                  description: Style of the map.
                mapPointColor:
                  type: string
                  description: Color of map points.
                showAllUnits:
                  type: boolean
                  description: Whether to display all units.
                showPrices:
                  type: boolean
                  description: Whether to display prices.
                initialView:
                  type: string
                  default: List
                  description: Initial view of the group.
                unitImageOnGrid:
                  type: string
                  default: Unit Plan
                  description: Image type shown on the grid.
                pricesStartingAt:
                  type: boolean
                  default: false
                  description: Whether to show prices starting at a certain value.
                showTaxes:
                  type: boolean
                  description: Whether to show taxes.
                priceBeforeTax:
                  type: boolean
                  description: Whether the price is shown before tax.
                showAvailability:
                  type: boolean
                  description: Whether to show availability.
                hideSold:
                  type: boolean
                  description: Whether to hide sold units.
                deliveryDates:
                  type: boolean
                  description: Whether to show delivery dates.
                internalURL:
                  type: string
                  format: uri
                  description: Internal URL for the group.
                alternativeCovers:
                  type: array
                  items:
                    type: string
                  description: List of alternative cover images.
                hideArea:
                  type: boolean
                  default: false
                  description: Whether to hide the area field.
                theme:
                  type: string
                  description: Theme of the group.
                showBranding:
                  type: boolean
                  default: true
                  description: Whether to show branding.
                showPriceFilter:
                  type: boolean
                  default: true
                  description: Whether to show the price filter.
                showAreaFilter:
                  type: boolean
                  default: true
                  description: Whether to show the area filter.
                showFloorOverview:
                  type: boolean
                  default: false
                  description: Whether to show the floor overview.
                colorBase:
                  type: string
                  description: Base color.
                colorAccent:
                  type: string
                  description: Accent color.
                colorHover:
                  type: string
                  description: Hover color.
                colorButton:
                  type: string
                  description: Button color.
                colorButtonText:
                  type: string
                  description: Button text color.
                colorText:
                  type: string
                  description: General text color.
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                _id:
                  type: string
                  format: objectId
                  description: The unique identifier for the group.
                  example: objectId
                user:
                  type: string
                  format: objectId
                  description: Reference to the user who owns the group.
                  example: objectId
                name:
                  type: string
                  description: Name of the group.
                websiteURL:
                  type: string
                  format: uri
                  description: URL of the group's website.
                showAvailableFirst:
                  type: boolean
                  default: false
                  description: Whether to prioritize showing available items first.
                projects:
                  type: array
                  items:
                    type: string
                    format: objectId
                    description: ID of an associated project.
                    example: objectId
                namespace:
                  type: string
                  description: Namespace for the group.
                hostName:
                  type: string
                  description: Hostname of the group.
                groupLang:
                  type: string
                  default: en
                  description: Language setting for the group.
                linkBehavior:
                  type: string
                  default: Planpoint
                  description: Default link behavior.
                accentColor:
                  type: string
                  description: Accent color of the group.
                groupImageUrl:
                  type: string
                  format: uri
                  description: URL of the group's image.
                groupSVGUrl:
                  type: string
                  format: uri
                  description: URL of the group's SVG.
                svgGroupId:
                  type: string
                  description: SVG group identifier.
                address:
                  type: string
                  description: Physical address of the group.
                lon:
                  type: number
                  format: double
                  description: Longitude of the group location.
                  example: -93.75940812944687
                lat:
                  type: number
                  format: double
                  description: Latitude of the group location.
                  example: 43.75940812944687
                zoomLevel:
                  type: number
                  default: 0
                  description: Default map zoom level.
                administrators:
                  type: array
                  items:
                    type: string
                    format: objectId
                    description: ID of an administrator user.
                    example: objectId
                editors:
                  type: array
                  items:
                    type: string
                    format: objectId
                    description: ID of an editor user.
                    example: objectId
                invites:
                  type: array
                  items:
                    type: object
                    properties:
                      firstName:
                        type: string
                      lastName:
                        type: string
                      email:
                        type: string
                        format: email
                      level:
                        type: string
                  description: List of invited users.
                perimeter:
                  type: string
                  description: Perimeter of the group area.
                markerImageUrl:
                  type: string
                  format: uri
                  description: URL of the marker image.
                targetMarker:
                  type: string
                  description: Target marker identifier.
                mapStyle:
                  type: string
                  default: Light
                  description: Style of the map.
                mapPointColor:
                  type: string
                  description: Color of map points.
                showAllUnits:
                  type: boolean
                  description: Whether to display all units.
                showPrices:
                  type: boolean
                  description: Whether to display prices.
                initialView:
                  type: string
                  default: List
                  description: Initial view of the group.
                unitImageOnGrid:
                  type: string
                  default: Unit Plan
                  description: Image type shown on the grid.
                pricesStartingAt:
                  type: boolean
                  default: false
                  description: Whether to show prices starting at a certain value.
                showTaxes:
                  type: boolean
                  description: Whether to show taxes.
                priceBeforeTax:
                  type: boolean
                  description: Whether the price is shown before tax.
                showAvailability:
                  type: boolean
                  description: Whether to show availability.
                hideSold:
                  type: boolean
                  description: Whether to hide sold units.
                deliveryDates:
                  type: boolean
                  description: Whether to show delivery dates.
                internalURL:
                  type: string
                  format: uri
                  description: Internal URL for the group.
                alternativeCovers:
                  type: array
                  items:
                    type: string
                  description: List of alternative cover images.
                hideArea:
                  type: boolean
                  default: false
                  description: Whether to hide the area field.
                theme:
                  type: string
                  description: Theme of the group.
                showBranding:
                  type: boolean
                  default: true
                  description: Whether to show branding.
                showPriceFilter:
                  type: boolean
                  default: true
                  description: Whether to show the price filter.
                showAreaFilter:
                  type: boolean
                  default: true
                  description: Whether to show the area filter.
                showFloorOverview:
                  type: boolean
                  default: false
                  description: Whether to show the floor overview.
                colorBase:
                  type: string
                  description: Base color.
                colorAccent:
                  type: string
                  description: Accent color.
                colorHover:
                  type: string
                  description: Hover color.
                colorButton:
                  type: string
                  description: Button color.
                colorButtonText:
                  type: string
                  description: Button text color.
                colorText:
                  type: string
                  description: General text color.
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  _id:
                    type: string
                    format: objectId
                    description: The unique identifier for the group.
                    example: objectId
                  user:
                    type: string
                    format: objectId
                    description: Reference to the user who owns the group.
                    example: objectId
                  name:
                    type: string
                    description: Name of the group.
                  websiteURL:
                    type: string
                    format: uri
                    description: URL of the group's website.
                  showAvailableFirst:
                    type: boolean
                    default: false
                    description: Whether to prioritize showing available items first.
                  projects:
                    type: array
                    items:
                      type: string
                      format: objectId
                      description: ID of an associated project.
                      example: objectId
                  namespace:
                    type: string
                    description: Namespace for the group.
                  hostName:
                    type: string
                    description: Hostname of the group.
                  groupLang:
                    type: string
                    default: en
                    description: Language setting for the group.
                  linkBehavior:
                    type: string
                    default: Planpoint
                    description: Default link behavior.
                  accentColor:
                    type: string
                    description: Accent color of the group.
                  groupImageUrl:
                    type: string
                    format: uri
                    description: URL of the group's image.
                  groupSVGUrl:
                    type: string
                    format: uri
                    description: URL of the group's SVG.
                  svgGroupId:
                    type: string
                    description: SVG group identifier.
                  address:
                    type: string
                    description: Physical address of the group.
                  lon:
                    type: number
                    format: double
                    description: Longitude of the group location.
                    example: -93.75940812944687
                  lat:
                    type: number
                    format: double
                    description: Latitude of the group location.
                    example: 43.75940812944687
                  zoomLevel:
                    type: number
                    default: 0
                    description: Default map zoom level.
                  administrators:
                    type: array
                    items:
                      type: string
                      format: objectId
                      description: ID of an administrator user.
                      example: objectId
                  editors:
                    type: array
                    items:
                      type: string
                      format: objectId
                      description: ID of an editor user.
                      example: objectId
                  invites:
                    type: array
                    items:
                      type: object
                      properties:
                        firstName:
                          type: string
                        lastName:
                          type: string
                        email:
                          type: string
                          format: email
                        level:
                          type: string
                    description: List of invited users.
                  perimeter:
                    type: string
                    description: Perimeter of the group area.
                  markerImageUrl:
                    type: string
                    format: uri
                    description: URL of the marker image.
                  targetMarker:
                    type: string
                    description: Target marker identifier.
                  mapStyle:
                    type: string
                    default: Light
                    description: Style of the map.
                  mapPointColor:
                    type: string
                    description: Color of map points.
                  showAllUnits:
                    type: boolean
                    description: Whether to display all units.
                  showPrices:
                    type: boolean
                    description: Whether to display prices.
                  initialView:
                    type: string
                    default: List
                    description: Initial view of the group.
                  unitImageOnGrid:
                    type: string
                    default: Unit Plan
                    description: Image type shown on the grid.
                  pricesStartingAt:
                    type: boolean
                    default: false
                    description: Whether to show prices starting at a certain value.
                  showTaxes:
                    type: boolean
                    description: Whether to show taxes.
                  priceBeforeTax:
                    type: boolean
                    description: Whether the price is shown before tax.
                  showAvailability:
                    type: boolean
                    description: Whether to show availability.
                  hideSold:
                    type: boolean
                    description: Whether to hide sold units.
                  deliveryDates:
                    type: boolean
                    description: Whether to show delivery dates.
                  internalURL:
                    type: string
                    format: uri
                    description: Internal URL for the group.
                  alternativeCovers:
                    type: array
                    items:
                      type: string
                    description: List of alternative cover images.
                  hideArea:
                    type: boolean
                    default: false
                    description: Whether to hide the area field.
                  theme:
                    type: string
                    description: Theme of the group.
                  showBranding:
                    type: boolean
                    default: true
                    description: Whether to show branding.
                  showPriceFilter:
                    type: boolean
                    default: true
                    description: Whether to show the price filter.
                  showAreaFilter:
                    type: boolean
                    default: true
                    description: Whether to show the area filter.
                  showFloorOverview:
                    type: boolean
                    default: false
                    description: Whether to show the floor overview.
                  colorBase:
                    type: string
                    description: Base color.
                  colorAccent:
                    type: string
                    description: Accent color.
                  colorHover:
                    type: string
                    description: Hover color.
                  colorButton:
                    type: string
                    description: Button color.
                  colorButtonText:
                    type: string
                    description: Button text color.
                  colorText:
                    type: string
                    description: General text color.
            application/xml:
              schema:
                type: object
                properties:
                  _id:
                    type: string
                    format: objectId
                    description: The unique identifier for the group.
                    example: objectId
                  user:
                    type: string
                    format: objectId
                    description: Reference to the user who owns the group.
                    example: objectId
                  name:
                    type: string
                    description: Name of the group.
                  websiteURL:
                    type: string
                    format: uri
                    description: URL of the group's website.
                  showAvailableFirst:
                    type: boolean
                    default: false
                    description: Whether to prioritize showing available items first.
                  projects:
                    type: array
                    items:
                      type: string
                      format: objectId
                      description: ID of an associated project.
                      example: objectId
                  namespace:
                    type: string
                    description: Namespace for the group.
                  hostName:
                    type: string
                    description: Hostname of the group.
                  groupLang:
                    type: string
                    default: en
                    description: Language setting for the group.
                  linkBehavior:
                    type: string
                    default: Planpoint
                    description: Default link behavior.
                  accentColor:
                    type: string
                    description: Accent color of the group.
                  groupImageUrl:
                    type: string
                    format: uri
                    description: URL of the group's image.
                  groupSVGUrl:
                    type: string
                    format: uri
                    description: URL of the group's SVG.
                  svgGroupId:
                    type: string
                    description: SVG group identifier.
                  address:
                    type: string
                    description: Physical address of the group.
                  lon:
                    type: number
                    format: double
                    description: Longitude of the group location.
                    example: -93.75940812944687
                  lat:
                    type: number
                    format: double
                    description: Latitude of the group location.
                    example: 43.75940812944687
                  zoomLevel:
                    type: number
                    default: 0
                    description: Default map zoom level.
                  administrators:
                    type: array
                    items:
                      type: string
                      format: objectId
                      description: ID of an administrator user.
                      example: objectId
                  editors:
                    type: array
                    items:
                      type: string
                      format: objectId
                      description: ID of an editor user.
                      example: objectId
                  invites:
                    type: array
                    items:
                      type: object
                      properties:
                        firstName:
                          type: string
                        lastName:
                          type: string
                        email:
                          type: string
                          format: email
                        level:
                          type: string
                    description: List of invited users.
                  perimeter:
                    type: string
                    description: Perimeter of the group area.
                  markerImageUrl:
                    type: string
                    format: uri
                    description: URL of the marker image.
                  targetMarker:
                    type: string
                    description: Target marker identifier.
                  mapStyle:
                    type: string
                    default: Light
                    description: Style of the map.
                  mapPointColor:
                    type: string
                    description: Color of map points.
                  showAllUnits:
                    type: boolean
                    description: Whether to display all units.
                  showPrices:
                    type: boolean
                    description: Whether to display prices.
                  initialView:
                    type: string
                    default: List
                    description: Initial view of the group.
                  unitImageOnGrid:
                    type: string
                    default: Unit Plan
                    description: Image type shown on the grid.
                  pricesStartingAt:
                    type: boolean
                    default: false
                    description: Whether to show prices starting at a certain value.
                  showTaxes:
                    type: boolean
                    description: Whether to show taxes.
                  priceBeforeTax:
                    type: boolean
                    description: Whether the price is shown before tax.
                  showAvailability:
                    type: boolean
                    description: Whether to show availability.
                  hideSold:
                    type: boolean
                    description: Whether to hide sold units.
                  deliveryDates:
                    type: boolean
                    description: Whether to show delivery dates.
                  internalURL:
                    type: string
                    format: uri
                    description: Internal URL for the group.
                  alternativeCovers:
                    type: array
                    items:
                      type: string
                    description: List of alternative cover images.
                  hideArea:
                    type: boolean
                    default: false
                    description: Whether to hide the area field.
                  theme:
                    type: string
                    description: Theme of the group.
                  showBranding:
                    type: boolean
                    default: true
                    description: Whether to show branding.
                  showPriceFilter:
                    type: boolean
                    default: true
                    description: Whether to show the price filter.
                  showAreaFilter:
                    type: boolean
                    default: true
                    description: Whether to show the area filter.
                  showFloorOverview:
                    type: boolean
                    default: false
                    description: Whether to show the floor overview.
                  colorBase:
                    type: string
                    description: Base color.
                  colorAccent:
                    type: string
                    description: Accent color.
                  colorHover:
                    type: string
                    description: Hover color.
                  colorButton:
                    type: string
                    description: Button color.
                  colorButtonText:
                    type: string
                    description: Button text color.
                  colorText:
                    type: string
                    description: General text color.
        '400':
          description: Invalid ID supplied
components:
  securitySchemes:
    AccessTokenAuth:
      type: apiKey
      in: header
      name: Authorization

````